/* Copyright (C) Burr Settles, Department of Computer Sciences, UW-Madison.
This file is part of "AMIL" (Active Machine Learning Library).
http://pages.cs.wisc.edu/~bsettles/amil
This software is licensed under the terms of the GPL. For more information, 
see "LICENSE.html" included with this distribution. */

package amil.classify;

/**
 * Abstract combining function. Takes an array of values (e.g., instance-level predictions in MI learning) and combines them into a bag-level prediction.
 *
 * @author Burr Settles &lt;&gt;
 * @version $Rev$
 */
public abstract class CombFn {
	
    public abstract double combine(double[] ivals); //evaluate the function at given data	
    public abstract double[] gradientAt(double[] ivals); //evaluate the gradient at each instance
	
}
